This topic contains 18 replies, has 0 voices, and was last updated by  Panther30 8 years, 7 months ago.

  • Author
    Posts
  • #55497

    Laptops Daddy
    Participant

    theyre kind of similar

    wiki shows:

    openal-devel
    wxGTK-devel
    freealut-devel
    fftw3-devel
    SDL_net-devel

    you also need:

    libexpat-devel
    libjpeg-devel

    an example list from the debian stable repository:

    libopenal-dev
    libwxgtk-dev
    libalut-dev
    libfftw3-dev
    libsdl-net1.2-dev
    libexpat1-dev
    libjpeg62-dev

    sh autogen.sh
    make -j4
    make install

    default path to the binaries is: /usr/local/games/scorched3d/bin

    autogen.sh –help can be useful. you may also need a dependency for ogg music, but i dont think itll stop the game running if you dont have it.

    @lithium wrote:

    Still no 42.1 version for Debian/Ubuntu in getdeb. I don’t often compile programs and the list of dependencies for scorched3d is useless to me, as I know nothing about them and the package names in Synaptic aren’t remotely similar. Therefore, I can’t compile the source.

    #55494

    Lithium
    Participant

    tried compile. got it to work. I miss the music though.

    **edit**
    never mind. I found the dependencies for music.

    #55495

    Irishbandit
    Participant

    Thank-you LD .. =D>

    #55498

    Deathstryker
    Participant

    Awesome. I really need to set some time aside to play the new version. I’ve been doing a lot of overtime at work lately, so I don’t have a lot of time to myself anymore.

    I’m surprised I’m still a moderator.

    #55499

    Panther30
    Participant

    DS your last statement could be applied to me as well. I’ve been away wayyyyy too long.

Viewing 5 posts - 16 through 20 (of 20 total)

The forum ‘news’ is closed to new topics and replies.